Update Event Source
PATCH
/users/{user_id}/event-sources/{source_id}
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/event-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"config":{},"enabled":true,"source_label":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/event-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "config": {}, "enabled": true, "source_label": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
source_id
required
Source Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EventSourceRead
object
Examplegenerated
{ "config": {}, "enabled": true, "id": "example", "is_default": true, "kind": "example", "source_label": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}